Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_encoding_entry Struct Reference

## Data Fields
const char * | name
rb_encoding * | enc
rb_encoding * | base

## Detailed Description

Definition at line 49 of file encoding.c.

## Field Documentation

## ◆ base

rb_encoding* rb_encoding_entry::base

Definition at line 52 of file encoding.c.

## ◆ enc

rb_encoding* rb_encoding_entry::enc

Definition at line 51 of file encoding.c.

Referenced by rb_define_dummy_encoding(), rb_enc_ascget(), rb_enc_associate(), rb_enc_associate_index(), rb_enc_check(), rb_enc_check_str(), rb_enc_code_to_mbclen(), rb_enc_codelen(), rb_enc_codepoint(), rb_enc_codepoint_len(), rb_enc_dummy_p(), rb_enc_fast_mbclen(), rb_enc_find_index(), rb_enc_mbclen(), rb_enc_precise_mbclen(), rb_enc_set_dummy(), rb_enc_to_index(), and rb_enc_unicode_p().

## ◆ name

const char* rb_encoding_entry::name

Definition at line 50 of file encoding.c.

The documentation for this struct was generated from the following file:

- encoding.c